openshot::OutOfBoundsFrame Class Reference

Exception for frames that are out of bounds. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::OutOfBoundsFrame:

## Public Member Functions

| OutOfBoundsFrame (std::string message, int64_t frame_requested, int64_t max_frames)
| Constructor. More...
virtual | ~OutOfBoundsFrame () noexcept
Public Member Functions inherited from openshot::BaseException
| BaseException (std::string message)
virtual const char * | what () const noexcept
virtual | ~BaseException () noexcept

## Public Attributes

int64_t | FrameRequested
int64_t | MaxFrames

## Additional Inherited Members

Protected Attributes inherited from openshot::BaseException
std::string | m_message

## Detailed Description

Exception for frames that are out of bounds.

Definition at line 285 of file Exceptions.h.

## Constructor & Destructor Documentation

## OutOfBoundsFrame()

openshot::OutOfBoundsFrame::OutOfBoundsFrame | ( | std::string | message,
|  | int64_t | frame_requested,
|  | int64_t | max_frames
| ) |  |

inline

Constructor.

Parameters

  message | A message to accompany the exception
  frame_requested | The out-of-bounds frame number requested
  max_frames | The maximum available frame number

Definition at line 297 of file Exceptions.h.

## ~OutOfBoundsFrame()

virtual openshot::OutOfBoundsFrame::~OutOfBoundsFrame | ( |  | ) |

inline virtual noexcept

Definition at line 299 of file Exceptions.h.

## Member Data Documentation

## FrameRequested

int64_t openshot::OutOfBoundsFrame::FrameRequested

Definition at line 288 of file Exceptions.h.

## MaxFrames

int64_t openshot::OutOfBoundsFrame::MaxFrames

Definition at line 289 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h